%global default_rosa 0

Name:           rosa-gsettings-desktop-schemas
Version:        3.16.0.9
Release:        1
Summary:        ROSA schemas for GNOME

Group:          Graphical desktop/GNOME
License:        GPLv2+
URL:            http://rosalinux.ru
Source0:        %{name}-%{version}.tar.xz

Requires:       glib2.0-common
Requires:       gsettings-desktop-schemas

BuildArch:      noarch

%description
This contains a collection ROSA schemas for GNOME.

%package theme
Summary:	ROSA schemas for GNOME theme
Group:          Graphical desktop/GNOME

Requires:	evopop-icon-theme
Requires:	evopop-gtk-theme
Requires:	gnome-shell-theme-korora

%description theme
This contains a collection ROSA schemas for GNOME
theme. Includeing GNOME Shell, GTK 3 and icons.

%package desktop
Summary:	ROSA schemas for GNOME Desktop (nautilus)
Group:          Graphical desktop/GNOME

%description desktop
This contains a collection ROSA schemas for GNOME Desktop
(nautilus). Includeing backgound, icons on desktop and icon
size.


%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_datadir}/glib-2.0/schemas/
install -m 644 *.override \
        %{buildroot}%{_datadir}/glib-2.0/schemas/

%if !%{default_rosa}
cp -f new-theme/*.override \
	%{buildroot}%{_datadir}/glib-2.0/schemas/

sed -i '/theme=/d' \
	%{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.desktop.wm.preferences.gschema.override

rm -f %{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.Terminal.gschema.override
%endif

# let it be, to certain
%post
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%post theme
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun theme
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans theme
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%post desktop
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun desktop
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans desktop
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :



%files
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.xsettings.gschema.override
%{_datadir}/glib-2.0/schemas/org.gnome.shell.gschema.override

%files theme
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.interface.gschema.override
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.wm.preferences.gschema.override
%if %{default_rosa}
%{_datadir}/glib-2.0/schemas/org.gnome.Terminal.gschema.override
%endif
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.user-theme.gschema.override

%files desktop
%{_datadir}/glib-2.0/schemas/org.gnome.nautilus.gschema.override
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.background.gschema.override

%changelog

* Mon Feb 15 2016 Tigro <ashejn@gmail.com> 3.16.0.9-1
- (c620de5) disable screenpen extension by default, disable desktop by default


